package com.jasamedika.medifirst2000.entities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;

import org.hibernate.annotations.Immutable;

@Entity
@Immutable
public class produkfastslowmoving_v {
	
	@Id
	@Column(name = "norec")
	private String noRec;
	
	@Column(name = "kdproduk")
	private Integer kdProduk;
	
	@Column(name = "namaproduk")
	private String namaProduk;
	
	@Column(name = "kdruangan")
	private Integer kdRuangan;
	
	@Column(name = "jenisprodukid")
	private Integer jenisProdukId;
	
	@Column(name = "kelompokProdukId")
	private Integer kelompokProdukId;
	
	@Column(name = "namaruangan")
	private String namaRuangan;
	
	@Column(name = "jumlah")
	private Double jumlah;
	
	@Column(name = "tglpelayanan")
	private Date tglPelayanan;

	public String getNoRec() {
		return noRec;
	}

	public void setNoRec(String noRec) {
		this.noRec = noRec;
	}

	public Integer getKdProduk() {
		return kdProduk;
	}

	public void setKdProduk(Integer kdProduk) {
		this.kdProduk = kdProduk;
	}

	public String getNamaProduk() {
		return namaProduk;
	}

	public void setNamaProduk(String namaProduk) {
		this.namaProduk = namaProduk;
	}

	public Integer getKdRuangan() {
		return kdRuangan;
	}

	public void setKdRuangan(Integer kdRuangan) {
		this.kdRuangan = kdRuangan;
	}

	public String getNamaRuangan() {
		return namaRuangan;
	}

	public void setNamaRuangan(String namaRuangan) {
		this.namaRuangan = namaRuangan;
	}

	public Double getJumlah() {
		return jumlah;
	}

	public void setJumlah(Double jumlah) {
		this.jumlah = jumlah;
	}

	public Date getTglPelayanan() {
		return tglPelayanan;
	}

	public void setTglPelayanan(Date tglPelayanan) {
		this.tglPelayanan = tglPelayanan;
	}

	public Integer getJenisProdukId() {
		return jenisProdukId;
	}

	public void setJenisProdukId(Integer jenisProdukId) {
		this.jenisProdukId = jenisProdukId;
	}

	public Integer getKelompokProdukId() {
		return kelompokProdukId;
	}

	public void setKelompokProdukId(Integer kelompokProdukId) {
		this.kelompokProdukId = kelompokProdukId;
	}

	
	
	
}